> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete API key

> Delete an existing API key



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json delete /users/api-keys/{apiKeyId}
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /users/api-keys/{apiKeyId}:
    delete:
      tags:
        - Users
      summary: Delete API key
      description: Delete an existing API key
      parameters:
        - in: path
          name: apiKeyId
          required: true
          schema:
            type: string
          description: API key ID
      responses:
        '200':
          description: Success
        '400':
          description: Invalid request body
        '404':
          description: API key not found
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````